from django.conf import settings

def harvest_version(request):
    """
    add the harvest version to template context processor. 
    """
    try:
        version = settings.VERSION_STRING
    except AttributeError:
        version = "unknown"

    return {'harvest_version': version}

def harvest_version_name(request):
    """
    add short harvest version name to template context processor
    """
    try:
        version_name = settings.VERSION_NAME_STRING
    except AttributeError:
        version_name = ""

    return {'harvest_version_name': version_name}

def login_redirect(request):
    return {'login_next': request.get_full_path()}

